> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tensorpix.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List enhanced videos



## OpenAPI

````yaml https://backend.tensorpix.ai/api/schema/ get /api/restored-videos/
openapi: 3.1.0
info:
  title: TensorPix OpenAPI Documentation
  version: 1.1.0
  termsOfService: https://tensorpix.ai/terms-conditions
  contact:
    name: TensorPix Dev Team
    email: devs@tensorpix.ai
servers:
  - url: https://backend.tensorpix.ai
security: []
externalDocs:
  url: https://docs.tensorpix.ai
  description: Check out the full TensorPix documentation.
paths:
  /api/restored-videos/:
    get:
      tags:
        - restored-videos
      summary: List enhanced videos
      operationId: restored_videos_list
      parameters:
        - in: query
          name: created_at_after
          schema:
            type: string
            format: date
        - in: query
          name: created_at_before
          schema:
            type: string
            format: date
        - name: limit
          required: false
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
        - in: query
          name: name
          schema:
            type: string
        - name: offset
          required: false
          in: query
          description: The initial index from which to return the results.
          schema:
            type: integer
        - name: ordering
          required: false
          in: query
          description: Which field to use when ordering the results.
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedRestoredVideoList'
          description: ''
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthenticatedError'
          description: ''
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ForbiddenError'
          description: ''
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RateLimitError'
          description: ''
      security:
        - tokenAuth: []
components:
  schemas:
    PaginatedRestoredVideoList:
      type: object
      properties:
        count:
          type: integer
          example: 123
        next:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?offset=400&limit=100
        previous:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?offset=200&limit=100
        results:
          type: array
          items:
            $ref: '#/components/schemas/RestoredVideo'
    UnauthenticatedError:
      type: object
      properties:
        detail:
          type: string
      required:
        - detail
    ForbiddenError:
      type: object
      properties:
        detail:
          type: string
      required:
        - detail
    RateLimitError:
      type: object
      properties:
        detail:
          type: string
      required:
        - detail
    RestoredVideo:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        job_id:
          type:
            - integer
            - 'null'
          readOnly: true
        preview_videos:
          $ref: '#/components/schemas/PreviewVideosSerialiazer'
        name:
          type: string
          description: Media name
          maxLength: 1024
        created_at:
          type: string
          format: date-time
          readOnly: true
          description: Date when the media was created
        deleted:
          type:
            - string
            - 'null'
          format: date-time
          description: Datetime when the media was deleted. Null if not deleted.
        framerate:
          type:
            - number
            - 'null'
          format: double
          maximum: 1000
          minimum: 0
          description: Video framerate in frames per second
        n_frames:
          type:
            - integer
            - 'null'
          maximum: 2147483647
          minimum: 1
          description: Number of frames in the video
        bitrate:
          type:
            - integer
            - 'null'
          maximum: 9223372036854776000
          minimum: 1
          format: int64
          description: Video bitrate in bits per second
        codec_id:
          type:
            - string
            - 'null'
        bit_depth:
          type:
            - integer
            - 'null'
          maximum: 30
          minimum: 1
          description: Bit depth of the video
        chroma_subsampling:
          type:
            - string
            - 'null'
        color_space:
          type:
            - string
            - 'null'
        size:
          type:
            - integer
            - 'null'
          maximum: 400000000000
          minimum: 100
          format: int64
          description: Size of the video in bytes
        file:
          type:
            - string
            - 'null'
          format: uri
          description: >-
            Pre-signed uploaded video URL. The URL may expire after some time.
            To generate a new URL, call the endpoint again. If the field is
            `null`, it means the video hasn't been completely uploaded to our
            servers yet. The field can also be `null` if the video was enhanced
            using the /jobs/from-url endpoint. In that case the video is not
            stored on our servers and the field is `null`
        thumbnail:
          type:
            - string
            - 'null'
          format: uri
          description: >-
            Thumbnail of the video. `null` if the video was enhanced with the
            /jobs/from-url endpoint
        width:
          type: integer
          maximum: 8192
          minimum: 64
        height:
          type: integer
          maximum: 8192
          minimum: 64
        quality_score:
          type:
            - integer
            - 'null'
          maximum: 5
          minimum: 1
          description: >-
            User rated quality score of the enhanced video. 1 is the worst, 5
            the best. Null if the video is not rated yet.
        owner:
          type: integer
          description: User who owns this media
      required:
        - created_at
        - height
        - id
        - job_id
        - name
        - owner
        - preview_videos
        - width
    PreviewVideosSerialiazer:
      type: object
      properties:
        before_video:
          type:
            - string
            - 'null'
          format: uri
          readOnly: true
          description: Before video
        after_video:
          type:
            - string
            - 'null'
          format: uri
          readOnly: true
          description: After video
      required:
        - after_video
        - before_video
  securitySchemes:
    tokenAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Token-based authentication with required prefix "Token"

````